let
  secrets = import ../modules/secrets.nix;
in {
  services = {
    tandoor-recipes = {
      enable = true;
      port = 5030;
    };
    nginx.virtualHosts."recipes.${secrets.jimDomain}" =  {
      enableACME = true;
      forceSSL = true;
      locations."/" = {
        proxyPass = "http://127.0.0.1:5030";
        proxyWebsockets = true;
      };
    };
  };
}
